from setuptools import setup, find_packages

setup(
    name='pyrecodes',
    version='0.2.0a2',
    author="Nikola Blagojevic and Bozidar Stojadinovic",
    author_email="nikolablagojevicnis@gmail.com",
    description="Software for Regional Recovery Modelling and Resilience Assessment of the Built Environment",
    license="BSD-3-Clause",
    url="https://github.com/NikolaBlagojevic/pyrecodes",
    python_requires=">=3.9",
    packages=find_packages(),
    install_requires=[
        'affine==2.4.0',
        'appnope==0.1.4',
        'asttokens==3.0.0',
        'attrs==25.1.0',
        'certifi==2025.1.31',
        'charset-normalizer==3.4.1',
        'click==8.1.8',
        'click-plugins==1.1.1',
        'cligj==0.7.2',
        'comm==0.2.2',
        'contextily==1.6.2',
        'contourpy==1.3.0',
        'cycler==0.12.1',
        'debugpy==1.8.12',
        'decorator==5.1.1',
        'exceptiongroup==1.2.2',
        'executing==2.2.0',
        'fonttools==4.55.8',
        'geographiclib==2.0',
        'geopandas==1.0.1',
        'geopy==2.4.1',
        'idna==3.10',
        'imageio==2.37.0',
        'importlib_metadata==8.6.1',
        'importlib_resources==6.5.2',
        'ipykernel==6.29.5',
        'ipython==8.18.1',
        'jedi==0.19.2',
        'joblib==1.4.2',
        'jupyter_client==8.6.3',
        'jupyter_core==5.7.2',
        'kiwisolver==1.4.7',
        'matplotlib==3.9.4',
        'matplotlib-inline==0.1.7',
        'mercantile==1.2.1',
        'nest-asyncio==1.6.0',
        'numpy==1.26.4',
        'packaging==24.2',
        'pandas==2.2.3',
        'parso==0.8.4',
        'pexpect==4.9.0',
        'pillow==11.1.0',
        'platformdirs==4.3.6',
        'prompt_toolkit==3.0.50',
        'psutil==6.1.1',
        'ptyprocess==0.7.0',
        'pure_eval==0.2.3',
        'Pygments==2.19.1',
        'pyogrio==0.10.0',
        'pyparsing==3.2.1',
        'pyproj==3.6.1',
        'python-dateutil==2.9.0.post0',
        'pytz==2025.1',
        'pyzmq==26.2.1',
        'rasterio==1.4.3',
        'requests==2.32.3',
        'shapely==2.0.7',
        'six==1.17.0',
        'stack-data==0.6.3',
        'tornado==6.4.2',
        'traitlets==5.14.3',
        'typing_extensions==4.12.2',
        'tzdata==2025.1',
        'urllib3==2.3.0',
        'wcwidth==0.2.13',
        'xyzservices==2025.1.0',
        'zipp==3.21.0'
    ],
    extras_require={
        'third_party_models': [
            'alabaster==0.7.16',
            'babel==2.17.0',
            'blosc2==2.5.1',
            'docutils==0.21.2',
            'et_xmlfile==2.0.0',
            'imagesize==1.4.1',
            'Jinja2==3.1.5',
            'MarkupSafe==3.0.2',
            'msgpack==1.1.0',
            'ndindex==1.9.2',
            'networkx==3.2.1',
            'numexpr==2.10.2',
            'openpyxl==3.1.5',
            'pandana==0.7',
            'py-cpuinfo==9.0.0',
            'rewet==0.2.0b12',
            'scikit-learn==1.6.1',
            'scipy==1.13.1',
            'snowballstemmer==2.2.0',
            'Sphinx==7.4.7',
            'sphinxcontrib-applehelp==2.0.0',
            'sphinxcontrib-devhelp==2.0.0',
            'sphinxcontrib-htmlhelp==2.1.0',
            'sphinxcontrib-jsmath==1.0.1',
            'sphinxcontrib-qthelp==2.0.0',
            'sphinxcontrib-serializinghtml==2.0.0',
            'tables==3.9.2', 
            'threadpoolctl==3.5.0',
            'tomli==2.2.1',
            'wntrfr==1.1.0.1.2',
            'fiona==1.10.1'
        ]
    }
)